The "List Shipping Carrier" API allows to retrieve a list of shipping carrier.
The "List Shipping Carrier" API allows to retrieve a list of shipping carrier.
http
GET https://services.leadconnectorhq.com/store/shipping-carrier
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Query parameters
Name
Type
Required
Example
Description
altId
string
Yes
6578278e879ad2646715ba9c
Account Id or Agency Id
altType
string
Yes
Responses
200 - Successful response
status (boolean, required): Status of api action Example: True
message (string): Success message Example: Successfully created
data (object[], required): An array of items
altId (string, required): Account Id or Agency Id Example: 6578278e879ad2646715ba9c
altType (string, required): Possible values: 'account'
name (string, required): Name of the shipping carrier Example: FedEx
callbackUrl (string, required): The URL endpoint that GHL needs to retrieve shipping rates. This must be a public URL. Example: https://example.com/get-shipping-rates
services (object[]): An array of available shipping carrier services
name (string, required): Name of the shipping carrier service Example: Priority Mail Express International
value (string, required): Value of the shipping carrier service Example: PriorityMailExpressInternational
allowsMultipleServiceSelection (boolean): The seller can choose multiple services while creating shipping rates if this is true. Example: True
_id (string, required): The unique identifier for the product. Example: 655b33a82209e60b6adb87a5
marketplaceAppId (string, required): The unique identifier for the marketplace app. Example: 655b33a82209e60b6adb87a5
createdAt (string, required): created at Example: 2023-12-12T09:27:42.355Z
updatedAt (string, required): updated at Example: 2023-12-12T09:27:42.355Z